const String scriptBuildAndroid = '''
flutter build apk 
cd android/ 
fastlane android upload_to_firebase --env production
''';

const contentAndroidEnv = '''
APP_ID="firebaseAppId"
TESTER="emailTester"''';

const contentAndroidAppFile = '''
json_key_file("") # Path to the json secret file - Follow https://docs.fastlane.tools/actions/supply/#setup to get one
package_name("bundleId") # e.g. com.krausefx.app
''';

const contentAndroidFastfile = '''
default_platform(:android)

platform :android do
  desc "Deploy with Fastlane"

  lane :upload_to_firebase do |options|
      if ENV['APP_ID'] && ENV['TESTER']
        appId=ENV['APP_ID'] 
        tester=ENV['TESTER'] 
        puts "[Fastlane Android] Load data from ENV successfully!"

        firebase_app_distribution(
          app: appId,
          testers: tester,
          groups: "public_android",
          release_notes: sh("git log -1 --pretty='%s'"),
          firebase_cli_path: "/usr/local/bin/firebase",
          apk_path: "../build/app/outputs/flutter-apk/app-release.apk"
        )
      else
        raise RuntimeError, '[Fastlane Android] ENV is not found so Fastlane will stop the process! Please try again!'
      end
  end
end
''';

const contentAndroidPluginfile = '''
# Autogenerated by fastlane
#
# Ensure this file is checked in to source control!

gem 'fastlane-plugin-firebase_app_distribution'
''';

const contentAndroidReadme = '''
fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

Install _fastlane_ using
```
[sudo] gem install fastlane -NV
```
or alternatively using `brew install fastlane`

# Available Actions
## Android
### android upload_to_firebase
```
fastlane android upload_to_firebase
```
Deploy with Fastlane

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
''';
